from microbit import *
from time import sleep
from GRobotronicsMaqueen import MoveMaqueen

robot = MoveMaqueen()

while True:
    if button_a.is_pressed():
        sleep(1)
        
        for i in range(4):
            robot.move(40, 40)
            sleep(1.5)
            robot.move(40, -40)
            sleep(0.4)
            robot.stop()

    if button_b.is_pressed():
        sleep(1)
        speed = 0
        
        while speed < 100:
            speed = speed + 1
            robot.move(speed, speed)
            sleep(0.015)
            
        pin8.write_digital(1)
        pin12.write_digital(1)
        
        while speed > 0:
            speed = speed - 1
            robot.move(speed, speed)
            sleep(0.015)
            
        pin8.write_digital(0)
        pin12.write_digital(0)
