from microbit import *
from time import sleep
from GRobotronicsMaqueen import MoveMaqueen, LEDController

robot = MoveMaqueen()
led = LEDController()

while True:
    if button_a.is_pressed():
        sleep(1)
        
        for i in range(4):
            robot.move(40, 40)
            sleep(1.5)
            robot.move(40, -40)
            sleep(0.5)
            robot.stop()

    if button_b.is_pressed():
        sleep(1)
        speed = 0
        
        while speed < 100:
            speed = speed + 1
            robot.move(speed, speed)
            sleep(0.015)
            
        led.control_led("LEFT", 1)
        led.control_led("RIGHT", 1)
        
        while speed > 0:
            speed = speed - 1
            robot.move(speed, speed)
            sleep(0.015)
            
        led.control_led("LEFT", 0)
        led.control_led("RIGHT", 0)
